import React from 'react';
import '../content.less';
import LeftTab from './leftTab.jsx';


const Content = React.createClass({
    getInitialState() {
        return {
            loading: false,
            leftKey: 'base',
            userType: '0'
        };
    },
    handlekey(key) {
        this.setState({
            leftKey: key,
        });
    },
    componentWillMount() {
    },
    render() {
        return (
            <div className="acc-content">
                <LeftTab handlekey={this.handlekey} />;
                <div className="content-right">
                    {(() => {
                        switch (this.state.leftKey) {
                            case 'base':
                                return <div>专利综合管理</div>;
                            case 'person':
                                return <div>待缴费专利管理</div>;
                            case 'edu':
                                return <div>补正审查通知管理</div>;
                            case 'pfs':
                                return <div>专利纸件收发登记</div>;
                            case 'ablt':
                                return <div>专利申请费用管理</div>;
                        };
                    })()}
                </div>
            </div>
        )
    }
});

export default Content;
