import React from 'react';
import { Menu, Icon } from 'antd';
import '../leftTab.less';
const SubMenu = Menu.SubMenu;
const MenuItemGroup = Menu.ItemGroup;


const LeftTab = React.createClass({
    getInitialState() {
        return {
            current: 'base',
        };
    },
    handleClick(e) {
        this.props.handlekey(e.key);
        this.setState({
            current: e.key,
        });
    },
    render() {
        return (
            <Menu onClick={this.handleClick}
                selectedKeys={[this.state.current]}
                mode="vertical"
                className="account-left"
                >
                <Menu.Item key="base">
                    专利综合管理
                </Menu.Item>
                <Menu.Item key="person">
                    待缴费专利管理
                </Menu.Item>
                <Menu.Item key="edu">
                    补正审查通知管理
                </Menu.Item>
                <Menu.Item key="pfs">
                    专利纸件收发登记
                </Menu.Item>
                <Menu.Item key="ablt">
                    专利申请费用管理
                </Menu.Item>
            </Menu>
        );
    },
});

export default LeftTab;